#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main(int argc, char *argv[]){
  string str = "abcde";
  reverse(str.begin(), str.end());
  cout << str << endl;
}
